Index: sources/app/src/main/java/parkup/controllers/ParkingSessionController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/ParkingSessionController.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/controllers/ParkingSessionController.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -3,4 +3,5 @@
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
+import parkup.data.Tablicka;
 import parkup.entities.ParkingSession;
 import parkup.services.ParkingSessionService;
@@ -33,14 +34,34 @@
     }
 
-    @PostMapping({"/parkingSession"})
-    public Optional<ParkingSession> addParkingSession(@RequestBody ParkingSession parkingSession) {
-        //System.out.println("???????");
-        return this.parkingSessionService.addParkingSession(parkingSession);
+    @PostMapping({"/parkingSession/{parkingZoneId}"})
+    public Optional<ParkingSession> startParkingSession(@RequestParam String tablicka, @PathVariable int parkingZoneId) {
+        return this.parkingSessionService.startParkingSession(tablicka,parkingZoneId);
     }
+// TODO: vidi kako kje funkcionira update na sesija i nejzino plakjanje so frontot
 
-    @PutMapping({"/parkingSession/{parkingSessionId}"})
-    public void updateParkingSession(@PathVariable int parkingSessionId, @RequestBody ParkingSession parkingSession) {
-        parkingSessionService.updateParkingSession(parkingSessionId,
-                parkingSession.getTimeStart(), parkingSession.getTimeEnd(), parkingSession.getTablica());
+//    @PutMapping({"/parkingSession/{parkingSessionId}"})
+//    public void updateParkingSession(@PathVariable int parkingSessionId, @RequestBody ParkingSession parkingSession) {
+//        parkingSessionService.updateParkingSession(parkingSessionId,
+//                parkingSession.getTimeStart(), parkingSession.getTimeEnd(), parkingSession.getTablica());
+//    }
+//    @PutMapping({"/parkingSession/pay/{parkingSessionId"})
+//    public void payParkingSession(@PathVariable int parkingSessionId){
+//        parkingSessionService.paySession
+//    }
+    @PutMapping("/parkingSession/end/{parkingSessionId}")
+    public ParkingSession endParkingSession(@PathVariable int parkingSessionId){
+        return this.parkingSessionService.endParkingSession(parkingSessionId);
+    }
+    @PutMapping("/parkingSession/verify/{parkingSessionId}")
+    public ParkingSession verifyParkingSession(@PathVariable int parkingSessionId,@RequestParam String parkingSpaceName,@RequestParam int parkingZoneId){
+        return this.parkingSessionService.verifyParkingSession(parkingSessionId,parkingSpaceName,parkingZoneId);
+    }
+    @GetMapping("/parkingSession/calculate/{parkingSessionId}")
+    public int calculateParkingSession(@PathVariable int parkingSessionId){
+        return this.parkingSessionService.calculatePayment(parkingSessionId);
+    }
+    @PutMapping("/parkingSession/pay/{parkingSessionId}")
+    public boolean payParkingSession(@PathVariable int parkingSessionId,@RequestParam String expireDate){
+        return this.parkingSessionService.payParkingSession(parkingSessionId,expireDate);
     }
 
Index: sources/app/src/main/java/parkup/controllers/ParkingSpaceController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/ParkingSpaceController.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/controllers/ParkingSpaceController.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -33,18 +33,12 @@
     }
 
-    @PostMapping({"/parkingSpace"})
-    public Optional<ParkingSpace> addParkingSpace(@RequestBody ParkingSpace parkingSpace) {
-<<<<<<< HEAD
-        System.out.println("???????");
-=======
-        //System.out.println("???????");
->>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
-        return this.parkingSpaceService.addParkingSpace(parkingSpace);
+    @PostMapping({"/parkingSpace/add/{parkingZoneId}"})
+    public Optional<ParkingSpace> addParkingSpace(@RequestBody ParkingSpace parkingSpace,@PathVariable int parkingZoneId) {
+        return this.parkingSpaceService.addParkingSpace(parkingSpace,parkingZoneId);
     }
 
     @PutMapping({"/parkingSpace/{parkingSpaceId}"})
     public void updateParkingSpace(@PathVariable int parkingSpaceId, @RequestBody ParkingSpace parkingSpace) {
-        parkingSpaceService.updateParkingSpace(parkingSpaceId, parkingSpace.getPsName(), parkingSpace.isTaken(),
-                parkingSpace.isHandicaped(), parkingSpace.getLat(), parkingSpace.getLng());
+        parkingSpaceService.updateParkingSpace(parkingSpaceId, parkingSpace.getPsName(), parkingSpace.isTaken(), parkingSpace.getLat(), parkingSpace.getLng());
     }
 
Index: sources/app/src/main/java/parkup/controllers/ParkingZoneController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/ParkingZoneController.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/controllers/ParkingZoneController.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -3,4 +3,5 @@
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
+import parkup.data.ParkingZoneAdminView;
 import parkup.entities.ParkingZone;
 import parkup.services.ParkingZoneService;
@@ -49,12 +50,9 @@
 
     @PutMapping({"/parkingZone/{parkingZoneId}"})
-    public ParkingZone updateParkingZone(@PathVariable int parkingZoneId, @RequestBody ParkingZone parkingZone) {
-        return this.parkingZoneService.updateParkingZone(parkingZoneId, parkingZone.getPzName(), parkingZone.getPrice(), parkingZone.getCapacity(),
-                parkingZone.getLocation(), parkingZone.getFrom(), parkingZone.getTo(), parkingZone.getColor(),
-<<<<<<< HEAD
+    public ParkingZone updateParkingZone(@PathVariable int parkingZoneId, @RequestBody ParkingZoneAdminView parkingZone) {
+        return this.parkingZoneService.updateParkingZone(parkingZoneId, parkingZone.getPzName(), parkingZone.getPrice(),
+                parkingZone.getAddress(), parkingZone.getTime_from(), parkingZone.getTime_to(), parkingZone.getColor(),
                 parkingZone.getParkingSpaces(), parkingZone.getParkingZoneLocation(),parkingZone.getOdgovorniLica());
-=======
-                parkingZone.getParkingSpaces(), parkingZone.getParkingZoneLocation());
->>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
+
     }
 
Index: sources/app/src/main/java/parkup/controllers/VrabotenController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/VrabotenController.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/controllers/VrabotenController.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -3,9 +3,12 @@
 import java.util.List;
 import java.util.Optional;
+import java.util.stream.Collectors;
 
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
 import parkup.configs.RegistrationRequest;
-import parkup.configs.RegistrationServiceW;
+//import parkup.configs.RegistrationServiceW;
+import parkup.data.AddUpdateVraboten;
+import parkup.data.enumarations.EmployeeStatus;
 import parkup.entities.Vraboten;
 import parkup.services.VrabotenService;
@@ -15,10 +18,9 @@
 public class VrabotenController {
     private final VrabotenService vrabotenService;
-    private final RegistrationServiceW registrationServiceW;
+//    private final RegistrationServiceW registrationServiceW;
 
     @Autowired
-    public VrabotenController(VrabotenService vrabotenService, RegistrationServiceW registrationServiceW) {
+    public VrabotenController(VrabotenService vrabotenService) {
         this.vrabotenService = vrabotenService;
-        this.registrationServiceW = registrationServiceW;
     }
 
@@ -44,17 +46,23 @@
 
     @PostMapping({"/vraboten"})
-    public Optional<Vraboten> addVraboten(@RequestBody Vraboten vraboten) {
-        return this.vrabotenService.addVraboten(vraboten);
+    public Optional<Vraboten> addVraboten(@RequestBody AddUpdateVraboten vraboten) {
+        return this.vrabotenService.addVraboten(vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
+                vraboten.getMobileNumber(), vraboten.getEmail(), vraboten.getStatus(),vraboten.getParkingZones());
     }
 
-    @PostMapping({"/vraboten/{vrabotenId}"})
+    @PutMapping({"/vraboten/lock/{vrabotenId}"})
     public void lockVraboten(@PathVariable int vrabotenId) {
         this.vrabotenService.lockVrabotenAcc(vrabotenId);
     }
 
+//    @PostMapping({"/vraboten/setStatus/{vrabotenId}"})
+//    public void setVrabotenStatus(@PathVariable int vrabotenId,@RequestParam String vrabotenStatus){
+//        this.vrabotenService.setVrabotenStatus(vrabotenId,vrabotenStatus);
+//    }
+
     @PutMapping({"/vraboten/{vrabotenId}"})
-    public Vraboten updateVraboten(@PathVariable int vrabotenId, @RequestBody Vraboten vraboten) {
-        return this.vrabotenService.updateVraboten(vrabotenId, vraboten.getFirstName(), vraboten.getLastName(),
-                vraboten.getMobile(), vraboten.getEmail(), vraboten.getStatus());
+    public Vraboten updateVraboten(@PathVariable int vrabotenId, @RequestBody AddUpdateVraboten vraboten) {
+        return this.vrabotenService.updateVraboten(vrabotenId,vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
+                vraboten.getMobileNumber(), vraboten.getEmail(), vraboten.getStatus(),vraboten.getParkingZones());
     }
 
@@ -64,12 +72,12 @@
     }
 
-    @PostMapping({"/vraboten/registration"})
-    public String register(@RequestBody RegistrationRequest request){
-        return registrationServiceW.register(request);
-    }
-
-    @GetMapping(path = "/vraboten/registration/confirm")
-    public String confirm(@RequestParam("token") String token) {
-        return registrationServiceW.confirmToken(token);
-    }
+//    @PostMapping({"/vraboten/registration"})
+//    public String register(@RequestBody RegistrationRequest request){
+//        return registrationServiceW.register(request);
+//    }
+//
+//    @GetMapping(path = "/vraboten/registration/confirm")
+//    public String confirm(@RequestParam("token") String token) {
+//        return registrationServiceW.confirmToken(token);
+//    }
 }
Index: sources/app/src/main/java/parkup/data/AddUpdateVraboten.java
===================================================================
--- sources/app/src/main/java/parkup/data/AddUpdateVraboten.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/data/AddUpdateVraboten.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -0,0 +1,102 @@
+package parkup.data;
+
+import parkup.data.enumarations.EmployeeStatus;
+
+import java.util.List;
+
+public class AddUpdateVraboten {
+    String firstName;
+    String lastName;
+    String email;
+    String password;
+    String confirmPass;
+    List<String> parkingZones;
+    EmployeeStatus status;
+    String mobileNumber;
+    boolean locked;
+
+    public AddUpdateVraboten(String firstName, String lastName, String email, String password, String confirmPass, List<String> parkingZones, EmployeeStatus status, String mobileNumber, boolean locked) {
+        this.firstName = firstName;
+        this.lastName = lastName;
+        this.email = email;
+        this.password = password;
+        this.confirmPass = confirmPass;
+        this.parkingZones = parkingZones;
+        this.status = status;
+        this.mobileNumber = mobileNumber;
+        this.locked = locked;
+    }
+
+    public String getFirstName() {
+        return firstName;
+    }
+
+    public void setFirstName(String firstName) {
+        this.firstName = firstName;
+    }
+
+    public String getLastName() {
+        return lastName;
+    }
+
+    public void setLastName(String lastName) {
+        this.lastName = lastName;
+    }
+
+    public String getEmail() {
+        return email;
+    }
+
+    public void setEmail(String email) {
+        this.email = email;
+    }
+
+    public String getPassword() {
+        return password;
+    }
+
+    public void setPassword(String password) {
+        this.password = password;
+    }
+
+    public String getConfirmPass() {
+        return confirmPass;
+    }
+
+    public void setConfirmPass(String confirmPass) {
+        this.confirmPass = confirmPass;
+    }
+
+    public List<String> getParkingZones() {
+        return parkingZones;
+    }
+
+    public void setParkingZones(List<String> parkingZones) {
+        this.parkingZones = parkingZones;
+    }
+
+    public EmployeeStatus getStatus() {
+        return status;
+    }
+
+    public void setStatus(EmployeeStatus status) {
+        this.status = status;
+    }
+
+    public String getMobileNumber() {
+        return mobileNumber;
+    }
+
+    public void setMobileNumber(String mobileNumber) {
+        this.mobileNumber = mobileNumber;
+    }
+
+    public boolean isLocked() {
+        return locked;
+    }
+
+    public void setLocked(boolean locked) {
+        this.locked = locked;
+    }
+}
+
Index: sources/app/src/main/java/parkup/data/ParkingSpaceAdminView.java
===================================================================
--- sources/app/src/main/java/parkup/data/ParkingSpaceAdminView.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/data/ParkingSpaceAdminView.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -0,0 +1,9 @@
+package parkup.data;
+
+public class ParkingSpaceAdminView {
+    private int psId;
+    private String psName;
+    private float lat;
+    private float lng;
+
+}
Index: sources/app/src/main/java/parkup/data/ParkingZoneAdminView.java
===================================================================
--- sources/app/src/main/java/parkup/data/ParkingZoneAdminView.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/data/ParkingZoneAdminView.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -0,0 +1,113 @@
+package parkup.data;
+
+import parkup.entities.ParkingSpace;
+
+import java.util.List;
+
+public class ParkingZoneAdminView {
+    private int pzId;
+    private String pzName;
+    private int price;
+    private int time_from;
+    private int time_to;
+    private String address;
+    private String color;
+    private List<ParkingSpace> parkingSpaces;
+    private ParkingZoneLocation parkingZoneLocation;
+    private List<Integer> odgovorniLica;
+
+    public ParkingZoneAdminView(int pzId, String pzName, int price, int time_from, int time_to, String address, String color, List<ParkingSpace> parkingSpaces, ParkingZoneLocation parkingZoneLocation, List<Integer> odgovorniLica) {
+        this.pzId = pzId;
+        this.pzName = pzName;
+        this.price = price;
+        this.time_from = time_from;
+        this.time_to = time_to;
+        this.address = address;
+        this.color = color;
+        this.parkingSpaces = parkingSpaces;
+        this.parkingZoneLocation = parkingZoneLocation;
+        this.odgovorniLica = odgovorniLica;
+    }
+
+    public ParkingZoneAdminView() {}
+
+    public int getPzId() {
+        return pzId;
+    }
+
+    public void setPzId(int pzId) {
+        this.pzId = pzId;
+    }
+
+    public String getPzName() {
+        return pzName;
+    }
+
+    public void setPzName(String pzName) {
+        this.pzName = pzName;
+    }
+
+    public int getPrice() {
+        return price;
+    }
+
+    public void setPrice(int price) {
+        this.price = price;
+    }
+
+    public int getTime_from() {
+        return time_from;
+    }
+
+    public void setTime_from(int time_from) {
+        this.time_from = time_from;
+    }
+
+    public int getTime_to() {
+        return time_to;
+    }
+
+    public void setTime_to(int time_to) {
+        this.time_to = time_to;
+    }
+
+    public String getAddress() {
+        return address;
+    }
+
+    public void setAddress(String address) {
+        this.address = address;
+    }
+
+    public String getColor() {
+        return color;
+    }
+
+    public void setColor(String color) {
+        this.color = color;
+    }
+
+    public List<ParkingSpace> getParkingSpaces() {
+        return parkingSpaces;
+    }
+
+    public void setParkingSpaces(List<ParkingSpace> parkingSpaces) {
+        this.parkingSpaces = parkingSpaces;
+    }
+
+    public ParkingZoneLocation getParkingZoneLocation() {
+        return parkingZoneLocation;
+    }
+
+    public void setParkingZoneLocation(ParkingZoneLocation parkingZoneLocation) {
+        this.parkingZoneLocation = parkingZoneLocation;
+    }
+
+    public List<Integer> getOdgovorniLica() {
+        return odgovorniLica;
+    }
+
+    public void setOdgovorniLica(List<Integer> odgovorniLica) {
+        this.odgovorniLica = odgovorniLica;
+    }
+}
Index: sources/app/src/main/java/parkup/data/ParkingZoneLocation.java
===================================================================
--- sources/app/src/main/java/parkup/data/ParkingZoneLocation.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/data/ParkingZoneLocation.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -20,8 +20,8 @@
     private int parkingZoneLocationId;
 
-    @OneToOne
+    @OneToOne(cascade = {CascadeType.ALL})
     private Location centre;
 
-    @OneToMany
+    @OneToMany(cascade = {CascadeType.ALL})
     private List<Location> teminja;
 
Index: sources/app/src/main/java/parkup/data/VrabotenDemo.java
===================================================================
--- sources/app/src/main/java/parkup/data/VrabotenDemo.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/data/VrabotenDemo.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -2,5 +2,5 @@
 
 public class VrabotenDemo {
-
+    private int vrabotenId;
     private String firstName;
     private String lastName;
@@ -9,8 +9,17 @@
     public VrabotenDemo() {}
 
-    public VrabotenDemo(String firstName, String lastName, String email) {
+    public VrabotenDemo(int id,String firstName, String lastName, String email) {
+        this.vrabotenId=id;
         this.firstName = firstName;
         this.lastName = lastName;
         this.email = email;
+    }
+
+    public int getVrabotenId() {
+        return vrabotenId;
+    }
+
+    public void setVrabotenId(int vrabotenId) {
+        this.vrabotenId = vrabotenId;
     }
 
Index: sources/app/src/main/java/parkup/data/enumarations/EmployeeStatus.java
===================================================================
--- sources/app/src/main/java/parkup/data/enumarations/EmployeeStatus.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/data/enumarations/EmployeeStatus.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -0,0 +1,8 @@
+package parkup.data.enumarations;
+
+public enum EmployeeStatus {
+    WORKING,
+    NOT_WORKING,
+    VACATION,
+    PAID_LEAVE
+}
Index: sources/app/src/main/java/parkup/data/enumarations/SessionStatus.java
===================================================================
--- sources/app/src/main/java/parkup/data/enumarations/SessionStatus.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/data/enumarations/SessionStatus.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -0,0 +1,8 @@
+package parkup.data.enumarations;
+
+public enum SessionStatus {
+    STARTED_VERIFIED,
+    STARTED_UNVERIFIED,
+    ENDED_UNPAID,
+    ENDED_PAID
+}
Index: sources/app/src/main/java/parkup/entities/Guest.java
===================================================================
--- sources/app/src/main/java/parkup/entities/Guest.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/entities/Guest.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -32,4 +32,7 @@
     @Column(name = "mobile")
     private String mobile;
+
+    @OneToOne
+    private ParkingSession session;
 
     public Guest() {}
Index: sources/app/src/main/java/parkup/entities/ParkingSession.java
===================================================================
--- sources/app/src/main/java/parkup/entities/ParkingSession.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/entities/ParkingSession.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -1,7 +1,10 @@
 package parkup.entities;
 
+import org.springframework.format.annotation.DateTimeFormat;
 import parkup.data.Tablicka;
+import parkup.data.enumarations.SessionStatus;
 
 import javax.persistence.*;
+import java.time.LocalDateTime;
 
 @Entity
@@ -22,9 +25,11 @@
     private int pssId;
 
+    @DateTimeFormat(pattern = "yyyy-MM-dd-HH-mm-ss")
     @Column(name = "time_start")
-    private String timeStart;
+    private LocalDateTime timeStart;
 
+    @DateTimeFormat(pattern = "yyyy-MM-dd-HH-mm-ss")
     @Column(name = "time_end")
-    private String timeEnd;
+    private LocalDateTime timeEnd;
 
     @OneToOne(cascade = {CascadeType.ALL})
@@ -32,18 +37,34 @@
     private Tablicka tablica;
 
-    public ParkingSession() {}
+    @Column(name="session_status")
+    @Enumerated
+    private SessionStatus status;
 
-    public ParkingSession(int pssId, String timeStart, String timeEnd, Tablicka tablica) {
-        this.pssId = pssId;
-        this.timeStart = timeStart;
-        this.timeEnd = timeEnd;
-        this.tablica = tablica;
+    @ManyToOne
+    private ParkingSpace parkingSpace;
+
+    @ManyToOne
+    private ParkingZone parkingZone;
+
+
+//    public ParkingSpace getParkingSpace() {
+//        return parkingSpace;
+//    }
+//
+//    public void setParkingSpace(ParkingSpace parkingSpace) {
+//        this.parkingSpace = parkingSpace;
+//    }
+
+    public ParkingSession() {
+
     }
 
-    public ParkingSession(String timeStart, String timeEnd, Tablicka tablica) {
-        this.timeStart = timeStart;
-        this.timeEnd = timeEnd;
-        this.tablica = tablica;
+    public ParkingSession(Tablicka tablica){
+        this.timeStart= LocalDateTime.now();
+        this.timeEnd=null;
+        this.tablica=tablica;
+        this.status=SessionStatus.STARTED_UNVERIFIED;
     }
+
 
     public int getPssId() {
@@ -55,17 +76,17 @@
     }
 
-    public String getTimeStart() {
-        return this.timeStart;
+    public LocalDateTime getTimeStart() {
+        return timeStart;
     }
 
-    public void setTimeStart(String timeStart) {
+    public void setTimeStart(LocalDateTime timeStart) {
         this.timeStart = timeStart;
     }
 
-    public String getTimeEnd() {
-        return this.timeEnd;
+    public LocalDateTime getTimeEnd() {
+        return timeEnd;
     }
 
-    public void setTimeEnd(String timeEnd) {
+    public void setTimeEnd(LocalDateTime timeEnd) {
         this.timeEnd = timeEnd;
     }
@@ -78,3 +99,27 @@
         this.tablica = tablica;
     }
+
+    public SessionStatus getStatus() {
+        return status;
+    }
+
+    public void setStatus(SessionStatus status) {
+        this.status = status;
+    }
+
+    public ParkingSpace getParkingSpace() {
+        return parkingSpace;
+    }
+
+    public ParkingZone getParkingZone() {
+        return parkingZone;
+    }
+
+    public void setParkingSpace(ParkingSpace parkingSpace) {
+        this.parkingSpace = parkingSpace;
+    }
+
+    public void setParkingZone(ParkingZone parkingZone) {
+        this.parkingZone = parkingZone;
+    }
 }
Index: sources/app/src/main/java/parkup/entities/ParkingSpace.java
===================================================================
--- sources/app/src/main/java/parkup/entities/ParkingSpace.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/entities/ParkingSpace.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -2,4 +2,6 @@
 
 import javax.persistence.*;
+import java.util.ArrayList;
+import java.util.List;
 
 @Entity
@@ -24,12 +26,9 @@
 
     @Column(name = "isTaken")
-    private Boolean isTaken;
-
-    @Column(name = "isHandicaped")
-    private Boolean isHandicaped;
+    private boolean taken;
 
     @Column(name = "latitude")
     private float lat;
-<<<<<<< HEAD
+
 
     @Column(name = "longitude")
@@ -39,34 +38,27 @@
 //    @JoinColumn(name = "parking_zona")
 //    private ParkingZone parkingZone;
+//    @ManyToOne(cascade = {CascadeType.ALL})
+//    @JoinColumn(name = "parking_zona")
+//    private ParkingZone parkingZone;
+//
+//    @OneToMany
+//    @Column(name="parking_sessions")
+//    private List<ParkingSession> sessions;
 
     public ParkingSpace() {
-        System.out.println("Default ParkingSpace constructor" + lat);
+
     }
 
-=======
-
-    @Column(name = "longitude")
-    private float lng;
-
-    @OneToOne(cascade = {CascadeType.ALL})
-    @JoinColumn(name = "parking_zona")
-    private ParkingZone parkingZone;
-
-    public ParkingSpace() {}
-
->>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
-    public ParkingSpace(int psId, String psName, boolean isTaken, boolean isHandicaped, float lat, float lng) {
+    public ParkingSpace(int psId, String psName, boolean isTaken,  float lat, float lng) {
         this.psId = psId;
         this.psName = psName;
-        this.isTaken = isTaken;
-        this.isHandicaped = isHandicaped;
+        this.taken = isTaken;
         this.lat = lat;
         this.lng = lng;
     }
 
-    public ParkingSpace(String psName, boolean isTaken, boolean isHandicaped, float lat, float lng) {
+    public ParkingSpace(String psName,  float lat, float lng) {
         this.psName = psName;
-        this.isTaken = isTaken;
-        this.isHandicaped = isHandicaped;
+        this.taken = false;
         this.lat = lat;
         this.lng = lng;
@@ -76,4 +68,13 @@
         return this.psId;
     }
+
+//    public ParkingZone getParkingZone() {
+//        return parkingZone;
+//    }
+//
+//    public void setParkingZone(ParkingZone parkingZone) {
+//        this.parkingZone = parkingZone;
+//    }
+
 
     public void setPsId(int psId) {
@@ -90,17 +91,9 @@
 
     public boolean isTaken() {
-        return this.isTaken;
+        return this.taken;
     }
 
     public void setTaken(boolean isTaken) {
-        this.isTaken = isTaken;
-    }
-
-    public boolean isHandicaped() {
-        return this.isHandicaped;
-    }
-
-    public void setHandicaped(boolean isHandicaped) {
-        this.isHandicaped = isHandicaped;
+        this.taken = isTaken;
     }
 
@@ -120,5 +113,5 @@
         this.lng = lng;
     }
-<<<<<<< HEAD
+
 
     @Override
@@ -126,12 +119,9 @@
         return "ParkingSpace{" +
                 "psName='" + psName + '\'' +
-                ", isTaken=" + isTaken +
-                ", isHandicaped=" + isHandicaped +
+                ", isTaken=" + taken +
                 ", lat=" + lat +
                 ", lng=" + lng+
                 '}';
     }
-=======
->>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
 }
 
Index: sources/app/src/main/java/parkup/entities/ParkingZone.java
===================================================================
--- sources/app/src/main/java/parkup/entities/ParkingZone.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/entities/ParkingZone.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -30,35 +30,30 @@
     private int price;
 
+    @Transient
     @Column(name = "capacity")
     private int capacity;
-
-<<<<<<< HEAD
     @Column(name = "time_from")  //za rabotni casovi od:
     private int from;
 
     @Column(name = "time_to")    //za rabotni casovi do:
-=======
-    @Column(name = "vreme_od")  //za rabotni casovi od:
-    private int from;
-
-    @Column(name = "vreme_do")    //za rabotni casovi do:
->>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
     private int to;
 
-    @Column(name = "lokacija")
-    private String location;
+    @Column(name = "address")
+    private String address;
 
+    @Transient
     @Column(name = "zafateniMesta")
-    private int zafateniMesta;
+    private int takenSpaces;
 
     @Column(name = "color")
     private String color;
 
-    @ManyToMany(cascade = {CascadeType.ALL})
-    @JoinColumn(name="odgovorniLica",nullable = true)
-    private List<Vraboten> odgovorniLica;
+//    @ManyToMany(cascade = {CascadeType.ALL})
+//    private List<Vraboten> odgovorniLica;
 
-    @OneToMany(cascade = {CascadeType.ALL})
+    @OneToMany(cascade = {CascadeType.MERGE})
     private List<ParkingSpace> parkingSpaces;
+
+
 
     @OneToOne(cascade = {CascadeType.ALL})
@@ -66,5 +61,5 @@
 
    public ParkingZone() {
-       this.zafateniMesta = 0;
+       this.takenSpaces = 0;
        this.parkingSpaces = new ArrayList<ParkingSpace>();
    }
@@ -72,15 +67,15 @@
     public ParkingZone(String pzName) {
         this.pzName = pzName;
-        this.zafateniMesta = 0;
+        this.takenSpaces = 0;
         this.parkingSpaces = new ArrayList<ParkingSpace>();
     }
 
-    public ParkingZone(int pzId, String pzName, int price, int capacity, String location, List<ParkingSpace> parkingSpaces, String color, int from, int to) {
+    public ParkingZone(int pzId, String pzName, int price, int capacity, String address, List<ParkingSpace> parkingSpaces, String color, int from, int to) {
         this.pzId = pzId;
         this.pzName = pzName;
         this.price = price;
         this.capacity = capacity;
-        this.location = location;
-        this.zafateniMesta = 0;
+        this.address = address;
+        this.takenSpaces = 0;
         this.parkingSpaces = parkingSpaces;
         this.color = color;
@@ -89,10 +84,10 @@
     }
 
-    public ParkingZone(String pzName, int price, int capacity, String location, List<ParkingSpace> parkingSpaces, String color, int from, int to) {
+    public ParkingZone(String pzName, int price, int capacity, String address, List<ParkingSpace> parkingSpaces, String color, int from, int to) {
         this.pzName = pzName;
         this.price = price;
         this.capacity = capacity;
-        this.location = location;
-        this.zafateniMesta = 0;
+        this.address = address;
+        this.takenSpaces = 0;
         this.parkingSpaces = parkingSpaces;
         this.color = color;
@@ -133,15 +128,15 @@
     }
 
-    public String getLocation() {
-        return this.location;
+    public String getAddress() {
+        return this.address;
     }
 
-    public void setLocation(String location) {
-        this.location = location;
+    public void setAddress(String location) {
+        this.address = location;
     }
 
-    public int getZafateniMesta() {return zafateniMesta;}
+    public int getTakenSpaces() {return takenSpaces;}
 
-    public void setZafateniMesta(int zafateniMesta) {this.zafateniMesta = zafateniMesta;}
+    public void setTakenSpaces(int takenSpaces) {this.takenSpaces = takenSpaces;}
 
     public List<ParkingSpace> getParkingSpaces() {return parkingSpaces;}
@@ -181,10 +176,10 @@
     }
 
-    public List<Vraboten> getOdgovorniLica() {
-        return odgovorniLica;
-    }
-
-    public void setOdgovorniLica(List<Vraboten> odgovorniLica) {
-        this.odgovorniLica = odgovorniLica;
-    }
+    //    public List<Vraboten> getOdgovorniLica() {
+//        return odgovorniLica;
+//    }
+//
+//    public void setOdgovorniLica(List<Vraboten> odgovorniLica) {
+//        this.odgovorniLica = odgovorniLica;
+//    }
 }
